# WOK
TKWOK
WOKMake

# WOKMake_DataMapOfHAsciiStringOfDevUnit Class Reference

`#include <WOKMake_DataMapOfHAsciiStringOfDevUnit.hxx>`

Inheritance diagram for WOKMake_DataMapOfHAsciiStringOfDevUnit:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKMake_DataMapOfHAsciiStringOfDevUnit (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKMake_DataMapOfHAsciiStringOfDevUnit & | Assign (const WOKMake_DataMapOfHAsciiStringOfDevUnit &Other)
WOKMake_DataMapOfHAsciiStringOfDevUnit & | operator= (const WOKMake_DataMapOfHAsciiStringOfDevUnit &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKMake_DataMapOfHAsciiStringOfDevUnit ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(TCollection_HAsciiString)&K, const Handle(WOKernel_DevUnit)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(TCollection_HAsciiString)&K)
Standard_EXPORT const Handle_WOKernel_DevUnit & | Find (const Handle(TCollection_HAsciiString)&K) const
const Handle_WOKernel_DevUnit & | operator() (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Handle_WOKernel_DevUnit & | ChangeFind (const Handle(TCollection_HAsciiString)&K)
Handle_WOKernel_DevUnit & | operator() (const Handle(TCollection_HAsciiString)&K)

## Private Member Functions

Standard_EXPORT | WOKMake_DataMapOfHAsciiStringOfDevUnit (const WOKMake_DataMapOfHAsciiStringOfDevUnit &Other)

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_DataMapOfHAsciiStringOfDevUnit::WOKMake_DataMapOfHAsciiStringOfDevUnit | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKMake_DataMapOfHAsciiStringOfDevUnit::~WOKMake_DataMapOfHAsciiStringOfDevUnit | ( |  | ) | `[inline]`

Standard_EXPORT WOKMake_DataMapOfHAsciiStringOfDevUnit::WOKMake_DataMapOfHAsciiStringOfDevUnit | ( | const WOKMake_DataMapOfHAsciiStringOfDevUnit & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT WOKMake_DataMapOfHAsciiStringOfDevUnit& WOKMake_DataMapOfHAsciiStringOfDevUnit::Assign | ( | const WOKMake_DataMapOfHAsciiStringOfDevUnit & | Other | ) |

Standard_EXPORT Standard_Boolean WOKMake_DataMapOfHAsciiStringOfDevUnit::Bind | ( | const Handle(TCollection_HAsciiString)& | K,
|  | const Handle(WOKernel_DevUnit)& | I
| ) |

Standard_EXPORT Handle_WOKernel_DevUnit& WOKMake_DataMapOfHAsciiStringOfDevUnit::ChangeFind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

Standard_EXPORT void WOKMake_DataMapOfHAsciiStringOfDevUnit::Clear | ( |  | ) |

Standard_EXPORT const Handle_WOKernel_DevUnit& WOKMake_DataMapOfHAsciiStringOfDevUnit::Find | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

Standard_EXPORT Standard_Boolean WOKMake_DataMapOfHAsciiStringOfDevUnit::IsBound | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

void WOKMake_DataMapOfHAsciiStringOfDevUnit::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKMake_DataMapOfHAsciiStringOfDevUnit::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKMake_DataMapOfHAsciiStringOfDevUnit::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

Handle_WOKernel_DevUnit& WOKMake_DataMapOfHAsciiStringOfDevUnit::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | `[inline]`

const Handle_WOKernel_DevUnit& WOKMake_DataMapOfHAsciiStringOfDevUnit::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | const`[inline]`

WOKMake_DataMapOfHAsciiStringOfDevUnit& WOKMake_DataMapOfHAsciiStringOfDevUnit::operator= | ( | const WOKMake_DataMapOfHAsciiStringOfDevUnit & | Other | ) | `[inline]`

Standard_EXPORT void WOKMake_DataMapOfHAsciiStringOfDevUnit::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean WOKMake_DataMapOfHAsciiStringOfDevUnit::UnBind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

The documentation for this class was generated from the following file:

- WOKMake_DataMapOfHAsciiStringOfDevUnit.hxx